SELECT s.SCHEMA_NAME AS SCHEMA_NAME,
       s.SCHEMA_OWNER AS schema_owner,
       s.CREATE_TIME AS schema_create_time,
       t.TABLE_NAME AS TABLE_NAME,
       t.COMMENTS AS table_description,
       t.TABLE_TYPE AS table_type,
       t.HAS_PRIMARY_KEY AS has_primary_key,
       t.CREATE_TIME AS table_create_time,
       c.COLUMN_NAME AS COLUMN_NAME,
       c.DATA_TYPE_NAME AS column_type,
       c.IS_NULLABLE AS column_nullable,
       c.COMMENTS AS column_description,
       c.IS_MASKED AS column_mask,
       c.MASK_EXPRESSION AS column_mask_expression
FROM SYS.SCHEMAS s
JOIN SYS.TABLES t ON t.SCHEMA_NAME = s.SCHEMA_NAME
JOIN SYS.TABLE_COLUMNS c ON c.TABLE_OID = t.TABLE_OID
WHERE s.SCHEMA_NAME NOT IN ('SYS',
                            '_SYS_BI',
                            '_SYS_EPM',
                            '_SYS_REPO',
                            '_SYS_RT',
                            'SAP_PA_APL',
                            'SAP_XS_LM_PE',
                            '_SYS_AFL',
                            '_SYS_DI',
                            '_SYS_STATISTICS',
                            'SAP_REST_API',
                            'UIS',
                            '_SYS_BIC',
                            'HANA_XS_BASE',
                            '_SYS_WORKLOAD_REPLAY',
                            '_SYS_PLAN_STABILITY',
                            '_SYS_TELEMETRY',
                            '_SYS_SECURITY',
                            '_SYS_AUDIT',
                            '_SYS_TASK',
                            '_SYS_XS',
                            'SAP_XS_LM',
                            'SAP_XS_USAGE',
                            '_SYS_DATA_ANONYMIZATION',
                            '_SYS_SQL_ANALYZER')
  AND t.TABLE_NAME NOT IN ('SYS_AFL_GENERATOR_PARAMETERS')
ORDER BY s.SCHEMA_NAME,
         t.TABLE_NAME,
         c.COLUMN_NAME;